classification
Title: Possible integer overflow in error handlers
Type: behavior Stage: resolved
Components: Extension Modules Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Arfrever, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2014-09-23 17:35 by serhiy.storchaka, last changed 2014-10-04 12:12 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
codecs_error_hadlers_overflow.patch serhiy.storchaka, 2014-09-23 17:35 review
Messages (3)
msg227370 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-09-23 17:35
There are potential integer overflows in error handlers. Here is simple patch which fixes them.
msg228450 - (view) Author: Roundup Robot (python-dev) Date: 2014-10-04 12:10
New changeset a3e18dd8f267 by Serhiy Storchaka in branch '2.7':
Fixed issue number for issue #22470 in Misc/NEWS.
https://hg.python.org/cpython/rev/a3e18dd8f267

New changeset cba365e2117f by Serhiy Storchaka in branch '3.4':
Fixed issue number for issue #22470 in Misc/NEWS.
https://hg.python.org/cpython/rev/cba365e2117f

New changeset fc941169125e by Serhiy Storchaka in branch 'default':
Fixed issue number for issue #22470 in Misc/NEWS.
https://hg.python.org/cpython/rev/fc941169125e
msg228451 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-10-04 12:12
Committed in 3f7519f633ed, ec9b7fd246b6, 2df4cc31c36e (and d1be1f355f59 fixes an error in 3f7519f633ed).
History
Date User Action Args
2014-10-04 12:12:03serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg228451

stage: patch review -> resolved
2014-10-04 12:10:37python-devsetnosy: + python-dev
messages: + msg228450
2014-09-30 06:34:37Arfreversetnosy: + Arfrever
2014-09-23 17:36:22serhiy.storchakalinkissue22286 dependencies
2014-09-23 17:35:51serhiy.storchakacreate